## libnb-platform18-java 12.1

=== ide/dlight.nativeexecution/tools/killall/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd
OS = $(shell uname -s)
OS:sh = uname -s
ARCH = $(shell arch)
ARCH:sh = arch

ifeq (armv, $(shell expr substr `arch` 1 4))
    OS_ARCH = $(OS)-arm
else 
  ifeq (sun4, $(ARCH))
    OS_ARCH = $(OS)-sparc
  else 
    ifeq (sparc64, $(ARCH))
      OS_ARCH = $(OS)-sparc
    else
      OS_ARCH = $(OS)-x86
    endif
  endif
endif

PNAME=killall

CC=gcc

SOURCES_SunOS=\
	$(ROOT_DIR)/src/solaris/pfind.c

SOURCES_Linux=\
	$(ROOT_DIR)/src/linux/pfind.c

SOURCES_Mac=\
	$(ROOT_DIR)/src/macosx/pfind.c

SOURCES_SunOS-x86=$(SOURCES_SunOS)
SOURCES_SunOS-x86_64=$(SOURCES_SunOS)
SOURCES_SunOS-sparc=$(SOURCES_SunOS)
SOURCES_SunOS-sparc_64=$(SOURCES_SunOS)
SOURCES_Linux-x86=$(SOURCES_Linux)
SOURCES_Linux-arm=$(SOURCES_Linux)
SOURCES_Linux-x86_64=$(SOURCES_Linux)
SOURCES_Linux-sparc_64=$(SOURCES_Linux)
SOURCES_MacOSX-x86=$(SOURCES_Mac)
SOURCES_MacOSX-x86_64=$(SOURCES_Mac)

SOURCES=\
	$(ROOT_DIR)/src/error.c \
	$(ROOT_DIR)/src/killall.c \
	$(ROOT_DIR)/src/options.c \
	$(SOURCES_$(CONF))

SRC_DIRS=\
	$(ROOT_DIR)/src \
	$(ROOT_DIR)/src/linux \
	$(ROOT_DIR)/src/solaris \
	$(ROOT_DIR)/src/macosx

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)

CF_Linux-x86      = $(CF_COMMON) -DLINUX -m32
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86     = $(CF_COMMON) -DMACOSX  -D_DARWIN_C_SOURCE -m32
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32

CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -m64
CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_MacOSX-x86_64  = $(CF_COMMON) -DMACOSX  -m64
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m32

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc
LF_SunOS-x86      = -lrt
LF_SunOS-x86_64   = -lrt
LF_SunOS-sparc    = -lrt
LF_SunOS-sparc_64 = -lrt

CFLAGS=$(CF_$(CONF)) $(CFLAGS_EXTRA)
LDFLAGS=$(LF_$(CONF)) $(LDFLAGS_EXTRA)

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist

install:
	cp $(EXEC) $(INSTALL_DIR)

=== ide/dlight.nativeexecution/tools/unbuffer/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd

CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/unbuffer.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

CF_Linux-x86      = $(CF_COMMON) -DLINUX -shared -fPIC -m32
EX_Linux-x86      = unbuffer.so
CF_Linux-arm      = $(CF_COMMON) -DLINUX -shared -fPIC
EX_Linux-arm      = unbuffer.so
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -shared -fPIC -m64
EX_Linux-x86_64   = unbuffer.so
CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX -shared -fPIC -m64
EX_Linux-sparc_64 = unbuffer.so
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -shared -m32
EX_MacOSX-x86     = unbuffer.dylib
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -shared -m64
EX_MacOSX-x86_64  = unbuffer.dylib
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
EX_SunOS-sparc    = unbuffer.so
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -G -fPIC -m64
EX_SunOS-sparc_64 = unbuffer.so
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
EX_SunOS-x86      = unbuffer.so
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -G -fPIC -m64
EX_SunOS-x86_64   = unbuffer.so
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -shared -m32
EX_Windows-x86    = unbuffer.dll
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -shared -m32
EX_Windows-x86_64 = unbuffer.dll

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc

CFLAGS=$(CF_$(CONF)) $(CFLAGS_EXTRA)
LDFLAGS=$(LF_$(CONF)) $(LDFLAGS_EXTRA)

PNAME=$(EX_$(CONF))

EXEC=$(DIST_DIR)/$(PNAME)

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== java/performance/jtrace/win32/Makefile ===
# -*- Makefile -*-
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

JDK_HOME = c:\jdk1.3.1_03

INCLUDES = -I. -I$(JDK_HOME)/include -I$(JDK_HOME)/include/win32

SRC_DIR = ../src

all: jtrace.dll

jtrace.dll: $(SRC_DIR)/jtrace.cpp
	cl -LD -MD -DWIN32_LEAN_AND_MEAN $(INCLUDES) $(SRC_DIR)/jtrace.cpp -o $@

clean:
	del *.dll *.obj

=== platform/o.n.bootstrap/launcher/windows/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post-$(CONF)

.build-pre:
# Add your pre 'build' code here...

.build-post-nbexec: .build-impl nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	windres.exe -Ocoff nbexec_exe.rc nbexec_exe.res
	g++ -s -mno-cygwin -Wl,--nxcompat -Wl,--dynamicbase -Wl,--no-seh -DNBEXEC_DLL=\"nbexec.dll\" nbexecexe.cpp utilsfuncs.cpp nbexec_exe.res -o nbexec.exe
	cp nbexec.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec.dll ../../../nbbuild/netbeans/platform/lib/
	
.build-post-nbexec64: .build-impl nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	x86_64-w64-mingw32-windres.exe -Ocoff nbexec_exe.rc nbexec_exe64.res 
	x86_64-w64-mingw32-g++.exe -m64 -s -mno-cygwin -Wl,--nxcompat -Wl,--dynamicbase -DNBEXEC_DLL=\"nbexec64.dll\" -static-libgcc -static-libstdc++ nbexecexe.cpp utilsfuncs.cpp nbexec_exe64.res -o nbexec64.exe 
	cp nbexec64.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec64.dll ../../../nbbuild/netbeans/platform/lib/



# clean
clean: .clean-post-$(CONF)

.clean-pre:
# Add your pre 'clean' code here...

.clean-post-nbexec: .clean-impl
	rm -f nbexec_exe32.res nbexec32.exe
	
.clean-post-nbexec64: .clean-impl
	rm -f nbexec_exe64.res nbexec64.exe



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== nbi/engine/native/jnilib/linux/Makefile ===
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
# 

#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-pre .build-impl .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post:
# Add your post 'build' code here...


# clean
clean: .clean-pre .clean-impl .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post:
# Add your post 'clean' code here...


# clobber
clobber: .clobber-pre .clobber-impl .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post:
# Add your post 'clobber' code here...


# all
all: .all-pre .all-impl .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post:
# Add your post 'all' code here...


# help
help: .help-pre .help-impl .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post:
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== debian/changelog ===
libnb-platform18-java (12.1-2ubuntu1) noble; urgency=medium

  * d/p/allow-security-manager.patch: cherry-pick upstream patch to
    allow setting Java Security Manager (LP: #2061363).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 16 Apr 2024 08:20:35 +1200

libnb-platform18-java (12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@debian.org>  Mon, 05 Oct 2020 18:24:20 +0200

libnb-platform18-java (12.1-1) experimental; urgency=medium

  * New upstream version 12.1.
    - Fix FTBFS due to incompatible types. (Closes: #963281)
  * Fix debian/watch and point to github.com.
  * Switch to debhelper-compat = 13.
  * Remove Andrew Ross from Uploaders because he is not active anymore.
  * Declare compliance with Debian Policy 4.5.0.
  * Refresh all patches and add new ones to prevent build failures.
  * Build-depend on libcommons-codec-java, libcommons-io-java,
    libcommons-logging-java and libjson-simple-java.

 -- Markus Koschany <apo@debian.org>  Sat, 03 Oct 2020 03:08:41 +0200

=== debian/control ===
Source: libnb-platform18-java
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant (>= 1.7.0),
 ant-optional (>= 1.7.0),
 antlr3 (>= 3.4),
 debhelper-compat (= 13),
 default-jdk,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4 (>= 4.6),
 libasm-java (>= 7.0),
 libbindex-java,
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-logging-java,
 libequinox-osgi-java (>= 3.9.1-4),
 libfelix-framework-java (>= 4.6.1),
 libfelix-main-java,
 libhamcrest-java,
 libjemmy2-java,
 libjna-platform-java (>= 4.4.0),
 libjson-simple-java,
 libjsr305-java,
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libswing-layout-java (>= 1.0.3),
 maven-repo-helper,
 rdfind,
 symlinks,
 testng (>=6.8)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/java-team/libnb-platform-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libnb-platform-java
Homepage: https://netbeans.org/

Package: libnb-platform18-java
Architecture: all
Depends:
 antlr3 (>= 3.4),
 javahelp2,
 junit4 (>= 4.6),
 libasm-java (>= 7.0),
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-logging-java,
 libequinox-osgi-java (>= 3.9.1-4),
 libfelix-framework-java (>= 4.6.1),
 libfelix-main-java,
 libhamcrest-java,
 libjna-platform-java,
 libjson-simple-java,
 libjsr305-java,
 libnb-org-openide-modules-java (>= ${source:Version}),
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libswing-layout-java (>= 1.0.3),
 testng,
 ${java:Depends},
 ${misc:Depends}
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends:
 ant,
 javahelp2,
 libbindex-java,
 libjemmy2-java,
 libjnlp-servlet-java,
 libnb-platform18-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build
 scripts and ant tasks required to build an application on top of NetBeans
 Platform.

Package: libnb-org-openide-util-java
Architecture: all
Depends:
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends:
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/netbeans-$1\.tar\.gz/,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|vc)\d*)$/$1~$2/ \
  https://github.com/apache/netbeans/tags .*/v?(\d\S+)\.tar\.gz

## libnb-platform18-java 19~us1

=== ide/dlight.nativeexecution/tools/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

INSTALLDIR = /dev/null

testit :sh= uname -s

#CFLAGS-Windows_XP := -mno-cygwin
CFLAGS-Linux := -fPIC -Wl,--hash-style=sysv
CFLAGS-SunOS := -fPIC
CFLAGS-Mac_OS_X := -fPIC
LDFLAGS-SunOS := -lposix4

PLATFORM_DIR = $(CONF)

CF_Linux-x86	    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32
CF_Linux-x86_64	    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-sparc_64   = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-arm	    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_Linux-aarch64    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86	    = -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64    = -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc_64   = -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86	    = -DSOLARIS -m32
CF_SunOS-x86_64	    = -DSOLARIS -m64
CF_Windows-x86	    = -DWINDOWS -m32
CF_Windows-x86_64   = -DWINDOWS -m32 # ?

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc

CFLAGS := $(CF_$(CONF)) $(CFLAGS_EXTRA)
LDFLAGS := $(LF_$(CONF)) $(LDFLAGS_EXTRA)

CC=gcc

CFLAGS += $(CFLAGS-$(OSFAMILY))
LDFLAGS += $(LDFLAGS-$(OSFAMILY))

DIST=../release/bin/nativeexecution
BUILD=./build

APP_PATH=${DIST}/${PLATFORM_DIR}

all: init privp process_start pty_open sigqueue stat

privp: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

process_start: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

pty_open: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

sigqueue: init
	${CC} ${CFLAGS} ${LDFLAGS} -o ${APP_PATH}/$@ $@.c

stat: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

clean:
	rm -rf ${APP_PATH} ${DIST}/${PLATFORM_DIR}

cleanall:
	rm -rf ${BUILD} ${DIST}

init: check
	@mkdir -p ${APP_PATH} ${DIST}/${PLATFORM_DIR}

check:
	@if [ -n "$(testit)" ]; \
	then \
		echo "Error: You must use GNU make"; \
		exit 1; \
	fi
	
	@if [ "${PLATFORM_DIR}" = "" ]; \
	then \
		echo "PLATFORM_DIR undefined"; \
		exit 1; \
	fi

=== ide/dlight.nativeexecution/tools/killall/Makefile ===
--- 
+++ 
@@ -27,14 +27,10 @@
 ifeq (armv, $(shell expr substr `arch` 1 4))
     OS_ARCH = $(OS)-arm
 else 
-  ifeq (sun4, $(ARCH))
+  ifeq (sparc64, $(ARCH))
     OS_ARCH = $(OS)-sparc
-  else 
-    ifeq (sparc64, $(ARCH))
-      OS_ARCH = $(OS)-sparc
-    else
-      OS_ARCH = $(OS)-x86
-    endif
+  else
+    OS_ARCH = $(OS)-x86
   endif
 endif
 
@@ -53,10 +49,10 @@
 
 SOURCES_SunOS-x86=$(SOURCES_SunOS)
 SOURCES_SunOS-x86_64=$(SOURCES_SunOS)
-SOURCES_SunOS-sparc=$(SOURCES_SunOS)
 SOURCES_SunOS-sparc_64=$(SOURCES_SunOS)
 SOURCES_Linux-x86=$(SOURCES_Linux)
 SOURCES_Linux-arm=$(SOURCES_Linux)
+SOURCES_Linux-aarch64=$(SOURCES_Linux)
 SOURCES_Linux-x86_64=$(SOURCES_Linux)
 SOURCES_Linux-sparc_64=$(SOURCES_Linux)
 SOURCES_MacOSX-x86=$(SOURCES_Mac)
@@ -85,11 +81,11 @@
 CF_Linux-x86      = $(CF_COMMON) -DLINUX -m32
 CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
 CF_MacOSX-x86     = $(CF_COMMON) -DMACOSX  -D_DARWIN_C_SOURCE -m32
-CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
 CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
 CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
 
 CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -m64
+CF_Linux-aarch64  = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
 CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
 CF_MacOSX-x86_64  = $(CF_COMMON) -DMACOSX  -m64
 CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
@@ -100,7 +96,6 @@
 LF_Windows-x86_64 = --static-libgcc
 LF_SunOS-x86      = -lrt
 LF_SunOS-x86_64   = -lrt
-LF_SunOS-sparc    = -lrt
 LF_SunOS-sparc_64 = -lrt
 
 CFLAGS=$(CF_$(CONF)) $(CFLAGS_EXTRA)

=== ide/dlight.nativeexecution/tools/pty/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd

PNAME=pty

CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/env.c \
	$(ROOT_DIR)/src/error.c \
	$(ROOT_DIR)/src/loop.c \
	$(ROOT_DIR)/src/options.c \
	$(ROOT_DIR)/src/pty_fork.c \
	$(ROOT_DIR)/src/pty.c \
	$(ROOT_DIR)/src/util.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)


CF_COMMON         = --std=c99

CF_Linux-x86      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32 
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_Linux-aarch64  = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m64 # -m32
 
LF_Windows-x86    = # --static-libgcc
LF_Windows-x86_64 = # --static-libgcc

CFLAGS=$(CF_$(CONF)) $(CFLAGS_EXTRA)
LDFLAGS=$(LF_$(CONF)) $(LDFLAGS_EXTRA)

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== ide/dlight.nativeexecution/tools/unbuffer/Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 EX_Linux-x86      = unbuffer.so
 CF_Linux-arm      = $(CF_COMMON) -DLINUX -shared -fPIC
 EX_Linux-arm      = unbuffer.so
+CF_Linux-aarch64  = $(CF_COMMON) -DLINUX -shared -fPIC
+EX_Linux-aarch64  = unbuffer.so
 CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -shared -fPIC -m64
 EX_Linux-x86_64   = unbuffer.so
 CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX -shared -fPIC -m64
@@ -46,8 +48,6 @@
 EX_MacOSX-x86     = unbuffer.dylib
 CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -shared -m64
 EX_MacOSX-x86_64  = unbuffer.dylib
-CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
-EX_SunOS-sparc    = unbuffer.so
 CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -G -fPIC -m64
 EX_SunOS-sparc_64 = unbuffer.so
 CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -G -fPIC -m32

=== nbi/engine/native/cleaner/windows/Makefile ===
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
# 

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-pre .build-impl .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post:
# Add your post 'build' code here...


# clean
clean: .clean-pre .clean-impl .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post:
# Add your post 'clean' code here...


# clobber
clobber: .clobber-pre .clobber-impl .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post:
# Add your post 'clobber' code here...


# all
all: .all-pre .all-impl .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post:
# Add your post 'all' code here...


# help
help: .help-pre .help-impl .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post:
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== debian/changelog ===
libnb-platform18-java (19~us1-0ubuntu1) oracular; urgency=medium

  * New upstream release libnb-platform-java18 version 19 (LP: #2069654).
    - d/linked-jars: update binary dependencies.
    - d/pom/*.xml: update version to 19.
    - d/watch: update watch file.
    - d/copyright: update exclusions.
    - d/p/*: refresh patches.
    - d/p/{allow-security-manager.patch,platform-langtools9.patch}: drop patches
      integrated upstream.
    - d/p/netbeans-empty-binaries-list.patch: drop patch. Use d/copyright to
      exclude files.
    - d/p/add-use-release-option.patch: add nb-javac option to disable setting
      --release instead of -source/-target.
    - Drop obsolete overrides.
    - d/control: add Rules-Requires-Root: no.
    - d/control: add missing dependencies.
    - d/rules: do not try to delete *.jar directories.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 18 Jun 2024 11:12:14 +1200

libnb-platform18-java (12.1-3) unstable; urgency=medium

  * Team upload
  * d/p/allow-security-manager.patch: cherry-pick upstream patch to
    allow setting Java Security Manager (Closes: #1069015).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Apr 2024 17:24:38 +1200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  libcommons-codec-java,
  libcommons-io-java,
  libcommons-logging-java,
+ libcommons-lang3-java,
  libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
@@ -28,6 +29,7 @@
  libjemmy2-java,
  libjna-platform-java (>= 4.4.0),
  libjson-simple-java,
+ libjsoup-java,
  libjsr305-java,
  libosgi-compendium-java (>= 5.0.0),
  libosgi-core-java (>= 6.0.0),
@@ -35,11 +37,13 @@
  maven-repo-helper,
  rdfind,
  symlinks,
- testng (>=6.8)
-Standards-Version: 4.5.0
+ testng (>=6.8),
+ libjcommander-java
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/libnb-platform-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libnb-platform-java
 Homepage: https://netbeans.org/
+Rules-Requires-Root: no
 
 Package: libnb-platform18-java
 Architecture: all
@@ -51,12 +55,14 @@
  libcommons-codec-java,
  libcommons-io-java,
  libcommons-logging-java,
+ libcommons-lang3-java,
  libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
  libhamcrest-java,
  libjna-platform-java,
  libjson-simple-java,
+ libjsoup-java,
  libjsr305-java,
  libnb-org-openide-modules-java (>= ${source:Version}),
  libnb-org-openide-util-java (>= ${source:Version}),
@@ -65,6 +71,7 @@
  libosgi-core-java (>= 6.0.0),
  libswing-layout-java (>= 1.0.3),
  testng,
+ libjcommander-java,
  ${java:Depends},
  ${misc:Depends}
 Description: NetBeans Platform for building rich desktop applications in Java

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
# See #830455 and #814875 for more background information
include /usr/share/java/java_defaults.mk
include /usr/share/dpkg/pkg-info.mk
CPPFLAGS += ${jvm_includes}

#package names
pkg-platform                := platform18
pkg-lib-platform            := libnb-$(pkg-platform)
libnb-platform-java         := $(pkg-lib-platform)-java
libnb-platform-java-doc     := $(pkg-lib-platform)-java-doc
libnb-platform-devel-java   := libnb-platform-devel-java

# Included clusters
base-platform := $(pkg-platform)

NBDIR          := /usr/share/netbeans
export JAVADIR := /usr/share/java

JH_JAR          := jhall.jar
JSEARCH_JAR     := jsearch.jar
NB_JH_JAR       := jhall-2.0_05.jar
NB_JSEARCH_JAR  := jsearch-2.0_05.jar

NB_INSTALL_DIR := usr/share/netbeans

EXT_JAR_LINK_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
LIB_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/lib/

INSTALL        := dh_install -p
LINK           := dh_link -p

NB_PLATFORM_BUILD_DIR := $(shell pwd)/nbbuild/netbeans/platform

BUILDSTAMP := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%Y%m%d")

# Defined function to be used to create symlinks
define symlink
	mkdir -p $(dir $(2))
	ln -sf $(1) $(2)
endef

%:
	dh $@ --with javahelper

override_dh_auto_build:
	# link Debian's system jars
	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
	################################################################
	# Build the platform. DISPLAY must be unset to avoid build failures.
	unset DISPLAY; ant \
	-Dbuildstamp=$(BUILDSTAMP) \
	-Dhg.id=debian-$(DEB_VERSION_UPSTREAM) \
	-Dpermit.jdk9.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dext.binaries.downloaded=true \
	-Dverify.checkout=false \
	-f nbbuild/build.xml build-platform


override_dh_auto_install:
	# recreate links
	$(shell awk 'NF==4 {printf("ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)
	# Install libraries
	mh_installjar -plibnb-org-openide-util-java -l debian/pom/openide-util.xml \
		nbbuild/netbeans/platform/lib/org-openide-util.jar
	mh_installpom -plibnb-org-openide-util-java debian/pom/openide-util.xml
	mh_installjar -plibnb-org-openide-util-java -l debian/pom/openide-util-ui.xml \
		nbbuild/netbeans/platform/lib/org-openide-util-ui.jar
	mh_installpom -plibnb-org-openide-util-java debian/pom/openide-util-ui.xml
	mh_installjar -plibnb-org-openide-util-lookup-java -l debian/pom/openide-util-lookup.xml \
		nbbuild/netbeans/platform/lib/org-openide-util-lookup.jar
	mh_installpom -plibnb-org-openide-util-lookup-java debian/pom/openide-util-lookup.xml
	mh_installjar -plibnb-org-openide-modules-java -l debian/pom/openide-modules.xml \
		nbbuild/netbeans/platform/lib/org-openide-modules.jar
	mh_installpom -plibnb-org-openide-modules-java debian/pom/openide-modules.xml
	#
	# Install Platform
	echo > nbbuild/netbeans/platform/.noautoupdate
	echo > nbbuild/netbeans/platform/.lastModified
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/* $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.noautoupdate $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.lastModified $(NB_INSTALL_DIR)/$(pkg-platform)
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util.jar        $(LIB_DIR)/org-openide-util.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util-ui.jar     $(LIB_DIR)/org-openide-util-ui.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util-lookup.jar $(LIB_DIR)/org-openide-util-lookup.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-modules.jar     $(LIB_DIR)/org-openide-modules.jar
	#
	# Install devel package
	rm -f nbbuild/netbeans/harness/antlib/$(NB_JSEARCH_JAR)
	echo > nbbuild/netbeans/harness/.noautoupdate
	echo > nbbuild/netbeans/harness/.lastModified
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/* $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.noautoupdate $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.lastModified $(NB_INSTALL_DIR)/harness
	#
	#Fixing permissions
	chmod 0755 debian/$(libnb-platform-devel-java)/$(NB_INSTALL_DIR)/harness/launchers/app.sh

override_dh_auto_clean:
	# remove all the symlinks to jar files we created
	find . -name "*.jar" -type l -delete
	# remove all jar files
	find . -name "*.jar" -type f -delete

override_jh_depends:
	# Skipping jh_depends run - since we use symlinks to /usr/share/java then
	# jh_depends gets it wrong.

=== debian/watch ===
version=4
opts=repack,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/netbeans-$1\.tar\.gz/,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|vc)\d*)$/$1~$2/ \
 https://github.com/apache/netbeans/tags .*/v?(\d.*)@ARCHIVE_EXT@
